### Function

# Lasem itex_to_mathml

#### Declaration [src]

    char*
    lsm_itex_to_mathml (
      const char* itex,
      gssize size
    )

#### Description [src]

Converts an itex string to a Mathml representation.

#### Parameters

`itex`

  Type: `const char*`

  An itex string.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`size`

  Type: `gssize`

  Itex string length, -1 if NULL terminated.

#### Return value

Type: `char*`

A newly allocated string, NULL on parse error. The returned data must be freed using `lsm_itex_free_mathml_buffer`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.